/************************************************************************/
/*                                                                      */
/* Definition of NBALANCE message format.                               */
/*                                                                      */
/* Copyright IBM Corp 1997                                              */
/*                                                                      */
/************************************************************************/

#define MAXBALANCES               10
#define ACCOUNTHOLDERLEN          20
#define ACCOUNTNUMBERLEN           7

struct BALANCE
{
 MQCHAR     AccountHolder[  ACCOUNTHOLDERLEN ];
 MQCHAR     AccountNumber[  ACCOUNTNUMBERLEN ];
 MQBYTE     Pad1;
 MQLONG     CurrentBalance;
};

/************************************************************************/
/*                                                                      */
/* The dimensioning of Balance is a maximum.                            */
/* The actual number of Balance is held in Count.                       */ 
/*                                                                      */
/************************************************************************/

struct NBALANCE
{
 MQLONG      Count;             /* Count of Balance structures */
 struct BALANCE Balance[ MAXBALANCES ];   
};